<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<%@ taglib uri="webwork" prefix="webwork" %>
<head>
	<link rel="stylesheet" href="../template/xhtml/style.css" type="text/css"/>
    <title>Table test</title>
</head>

<body>
	<h1>TestAction</h1>

	<webwork:if test=".">

		<hr width="69%"/>
		<%/*Set up a date cell renderer with the desired format same as SimpleDateFormatter*/%>
		<webwork:bean name="'webwork.view.taglib.ui.table.renderer.DateCellRenderer'" id="dateRenderer">
			<webwork:param name="'formatString'" value="'yyyy-MM-dd'"/>
		</webwork:bean>

		<%/*Use a numeric formater to show money.  Align to the right*/%>
		<webwork:bean name="'webwork.view.taglib.ui.table.renderer.NumericCellRenderer'" id="dollarRenderer">
			<webwork:param name="'alignment'"    value="'right'"/>
			<webwork:param name="'formatString'" value="'$#,##0.00'"/>
		</webwork:bean>

		<%/*Another numeric formatter to so basic intergers. align to righ.  Highlight red if negative*/%>
		<webwork:bean name="'webwork.view.taglib.ui.table.renderer.NumericCellRenderer'" id="intRenderer">
			<webwork:param name="'alignment'"     value="'right'"/>
			<webwork:param name="'formatString'"  value="'#0'"/>
			<webwork:param name="'negativeColor'" value="'#FF0000'"/>
		</webwork:bean>

       <%/*A link renderer.  Delgate rendering of cell to dollarRenderer
          * Set link to '/default.html'
          * use a paramter called myParam
          * take the value from the second column of the table
          */%>
		<webwork:bean name="'webwork.view.taglib.ui.table.renderer.LinkCellRenderer'" id="linkRenderer">
			<webwork:param name="'renderer'" value="@dollarRenderer"/>
			<webwork:param name="'link'" value="'default.html'"/>
			<webwork:param name="'param'" value="'myParam'"/>
			<webwork:param name="'paramColumn'" value="1"/>
		</webwork:bean>

		<%/*This is the webtable bean.
		   * Set the model from the action result property
		   * hide the second column (zero based) Note the valu fro this column is still used as a parameter in the linkRenderer it is just not displayed
		   * Rename the third column
		   * set the date renderer for the first column
		   * set the link renderer for the third column (note the second column is hidden)
		   * set the int render for the fifth column.
		   * Note the 4th and sixth columns will get the default renderer
		   * include the table.jsp to actually show it
		   */%>
		<webwork:table modelName="'/result'" sortable="true" sortColumn="0" sortOrder="DESC">
			<webwork:param name="'columnHidden(1)'" value="true"/>
			<webwork:param name="'columnDisplayName(2)'" value="'New Display Name'"/>
			<webwork:param name="'columnRenderer(0)'" value="@dateRenderer"/>
			<webwork:param name="'columnRenderer(2)'" value="@linkRenderer"/>
			<webwork:param name="'columnRenderer(4)'" value="@intRenderer"/>
		</webwork:table>
	</webwork:if>
	<webwork:else>
		<p>This JSP should NOT be called directly!</p>
	</webwork:else>
</body>
</html>